package intrinsic.mx.managers;

public class ToolTipManager extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */
	public static double hideDelay;
	public static double showDelay;
	public static boolean enabled;
	public static intrinsic.mx.effects.Effect showEffect;
	public static intrinsic.Class toolTipClass;
	public static intrinsic.mx.core.IToolTip currentToolTip;
	public static intrinsic.flash.display.DisplayObject currentTarget;
	public static double scrubDelay;
	public static intrinsic.mx.effects.Effect hideEffect;

	/** Class variables */

/** Contructors */
public ToolTipManager() {
}


/** Static Methods */
public static native intrinsic.mx.core.IToolTip createToolTip(String arg0, double arg1, double arg2);
public static native intrinsic.mx.core.IToolTip createToolTip(String arg0, double arg1, double arg2, String arg3);
public static native intrinsic.mx.core.IToolTip createToolTip(String arg0, double arg1, double arg2, String arg3, intrinsic.mx.core.IUIComponent arg4);
public static native void registerErrorString(intrinsic.flash.display.DisplayObject arg0, String arg1, String arg2);
public static native void destroyToolTip(intrinsic.mx.core.IToolTip arg0);
public static native void sizeTip(intrinsic.mx.core.IToolTip arg0);
public static native void registerToolTip(intrinsic.flash.display.DisplayObject arg0, String arg1, String arg2);

/** Methods */

}
